Bug 105968 - Engineering notation can be by a factor of 10 on some calculations
Summary: Engineering notation can be by a factor of 10 on some calculations
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: All All
: high major
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.2.6 target:5.3.1
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-12 23:57 UTC by Doug Phillips
Modified: 2017-02-16 11:01 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Engineering notation error for some values. The cell highlighted in yellow should display 100 and does so with scientific notation (1.00E+02), but Eng Notation displays 10.00E+00 (10) (14.30 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-02-12 23:57 UTC, Doug Phillips
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Phillips 2017-02-12 23:57:53 UTC
Created attachment 131160 [details]
Engineering notation error for some values. The cell highlighted in yellow should display 100 and does so with scientific notation (1.00E+02), but Eng Notation displays 10.00E+00 (10)

The cell will display the proper value in scientific notation, but not for engineering notation. It seems to be value specific, as it works it most cases.
The attached file contains two cells, highlighted in yellow, with identical formulas but yielding different results.  

This error can cause major math errors!
Comment 1 Buovjaga 2017-02-14 11:32:11 UTC
Version 3.5 displays 1.00E+02 for both.

Win 7 Pro 64-bit Version: 5.4.0.0.alpha0+
Build ID: 1d810b69a584fc33f4178c7012f68f551ba2e03b
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-02-12_23:34:02
Locale: fi-FI (fi_FI); Calc: CL

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 2 Eike Rathke 2017-02-14 17:03:57 UTC
Removing regression keyword, it's not, 3.5 doesn't know the engineering notation hence displays 1.00E+02 (note that the correct result here would be 100.00E+00).
Taking.
Comment 3 Commit Notification 2017-02-15 21:07:25 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63bc2b13cb344cce99348496838d7d2c2f690211

Resolves: tdf#105968 handle engineering notation rounded into next magnitude

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-02-15 21:07:30 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e180078ecc4501900e41da48b279033a7529a96

unit test for engineering notation, tdf#105968

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Eike Rathke 2017-02-15 21:11:11 UTC
Pending review
https://gerrit.libreoffice.org/34321 for 5-3
https://gerrit.libreoffice.org/34322 for 5-2
Comment 6 Commit Notification 2017-02-16 11:01:29 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e026b88662494df52e4c3eb372ee29e9f30c4f4&h=libreoffice-5-2

Resolves: tdf#105968 handle engineering notation rounded into next magnitude

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-02-16 11:01:37 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e3ad5f11401a337910c6d63263811ca66ba456c&h=libreoffice-5-3

Resolves: tdf#105968 handle engineering notation rounded into next magnitude

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.